from setuptools import setup

setup(
    name="MLEssentials",
    version="1.1",
    description="A toolkit to install essential machine learning libraries with one command.",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/rohit180497/MLToolkit",
    author="Rohit Kosamkar",
    author_email="rohitkosamkar97@gmail.com",
    license="MIT",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
    install_requires=[
    'numpy',
    'pandas',
    'scikit-learn',
    'scipy',
    'nltk',
    'plotly',
    'matplotlib',
    'seaborn',
    'pydot',
    'statsmodels',
    'spacy',
    'fastapi',
    'streamlit',
    'polars',
    'xgboost',
    'lightgbm',
    'catboost',
    'pattern',
    'selenium',
    'pandasql',
    'mysql-connector-python',
    'pyodbc',
    'pydantic',
    'azure-identity',
    'flask',
    'beautifulsoup4',
    'SQLAlchemy',
    'pyyaml',
    'tqdm',
    'openpyxl',
    'pyarrow',
    'networkx'
],
)
